#
# spec file for package dinotrace
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dinotrace
Version:        9.4e
Release:        lp150.1.9
Summary:        Digital Waveform Viewer
License:        GPL-3.0+
Group:          Productivity/Scientific/Electronics
Url:            https://www.veripool.com/dinotrace/
Source0:        https://www.veripool.org/ftp/%{name}-%{version}.tgz
# PATCH-FIX-OPENSUSE dinotrace-9.3f-no-extra-optimizer-flag.patch -- remove extra optimizer flag @OPT@ [bnc#409324]
Patch0:         dinotrace-9.3f-no-extra-optimizer-flag.patch
BuildRequires:  openmotif-devel
Requires(pre):  %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dinotrace is a X-11 waveform viewer which understands Verilog Value
Change Dumps, ASCII, and other trace formats. It allows placing
cursors, highlighting signals, searching, printing, and other
capabilities superior to may commercial waveform viewers.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS=$(echo %{optflags} | sed "s,-O2,-O0,g")
%configure
make %{?_smp_mflags}

%install
%make_install
#cd lisp && make install

%post
%install_info --info-dir=%{_infodir} %{_infodir}/dinotrace.info

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/dinotrace.info

%files
%defattr(-,root,root,-)
%doc COPYING FAQ TODO
%{_bindir}/dinotrace
%{_infodir}/dinotrace.info%{ext_info}

%changelog
* Sun Feb  5 2017 aloisio@gmx.com
- Update to version 9.4e
  * Fix clang compiler warnings.
  9.4d
  * Fix compiler warnings.
- Spec cleanup
* Fri Jan 11 2013 dmitry_r@opensuse.org
- spec file cleanup
- Update license to SPDX format
* Sat Nov 19 2011 werner.ho@gmx.de
- new version 9.4c
* Sun Oct  4 2009 werner.ho@gmx.de
- new version 9.4a
* Wed Jul 16 2008 werner.ho@gmx.de
- openSUSE 11.0, segfault in XNextEvent () from /usr/lib64/libX11.so.6
- set optimizer to -O0, remove OPT variable, [bnc#409324]
  * dinotrace-9.3f-no-extra-optimizer-flag.patch
* Mon Mar 24 2008 werner.ho@gmx.de
- new version 9.3f
* Wed Feb 28 2007 werner.ho@gmx.de
- new version 9.3e
* Tue Feb 27 2007 werner.ho@gmx.de
- new version 9.3d
* Mon Feb 26 2007 werner.ho@gmx.de
- Initial build of version 9.3b
